Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.microdata
Class MicrodataExtractorTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.microdata.MicrodataExtractorTest

    public class MicrodataExtractorTest

extends AbstractExtractorTestCase

Reference test class for `MicrodataExtractor`.

Author:
  Davide Palmisano ( dpalmisano@gmail.com )

Nested Class Summary
`static class` | `MicrodataExtractorTest.TestRDFHandler`

Field Summary

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`MicrodataExtractorTest()`

Method Summary
`protected org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `testExample5221()` First reference test for Microdata Extraction algorithm.
`void` | `testExample5222()` Second reference test for Microdata Extraction algorithm.
`void` | `testExampleSchemaOrg1()` First reference test for http://schema.org/.
`void` | `testExampleSchemaOrg2()` Second reference test for http://schema.org/.
`void` | `testMicrodataGoogleRichSnippet()` Reference test as provided by Google Rich Snippet for Microdata.
`void` | `testSchemaOrgNestedProps()` Reference test for Schema.org.

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MicrodataExtractorTest

    public MicrodataExtractorTest()

Method Detail

### getExtractorFactory

    protected org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

### testSchemaOrgNestedProps

    public void testSchemaOrgNestedProps()
                                  throws org.openrdf.repository.RepositoryException,
                                         org.openrdf.rio.RDFHandlerException,
                                         IOException,
                                         org.openrdf.rio.RDFParseException,
                                         org.apache.any23.extractor.ExtractionException

  Reference test for Schema.org.

  Throws:
    `org.openrdf.repository.RepositoryException`
    `org.openrdf.rio.RDFHandlerException`
    `IOException`
    `org.openrdf.rio.RDFParseException`
    `org.apache.any23.extractor.ExtractionException`

### testMicrodataGoogleRichSnippet

    public void testMicrodataGoogleRichSnippet()
                                        throws org.openrdf.rio.RDFHandlerException,
                                               org.openrdf.repository.RepositoryException,
                                               IOException,
                                               org.openrdf.rio.RDFParseException

  Reference test as provided by Google Rich Snippet for Microdata.

  Throws:
    `org.openrdf.rio.RDFHandlerException`
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.openrdf.rio.RDFParseException`

### testExample5221

    public void testExample5221()
                         throws org.openrdf.rio.RDFHandlerException,
                                org.openrdf.repository.RepositoryException,
                                IOException,
                                org.openrdf.rio.RDFParseException

  First reference test for Microdata Extraction algorithm.

  Throws:
    `org.openrdf.rio.RDFHandlerException`
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.openrdf.rio.RDFParseException`

### testExample5222

    public void testExample5222()
                         throws org.openrdf.rio.RDFHandlerException,
                                org.openrdf.repository.RepositoryException,
                                IOException,
                                org.openrdf.rio.RDFParseException

  Second reference test for Microdata Extraction algorithm.

  Throws:
    `org.openrdf.rio.RDFHandlerException`
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.openrdf.rio.RDFParseException`

### testExampleSchemaOrg1

    public void testExampleSchemaOrg1()
                               throws org.openrdf.rio.RDFHandlerException,
                                      org.openrdf.repository.RepositoryException,
                                      IOException,
                                      org.openrdf.rio.RDFParseException

  First reference test for http://schema.org/.

  Throws:
    `org.openrdf.rio.RDFHandlerException`
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.openrdf.rio.RDFParseException`

### testExampleSchemaOrg2

    public void testExampleSchemaOrg2()
                               throws org.openrdf.rio.RDFHandlerException,
                                      org.openrdf.repository.RepositoryException,
                                      IOException,
                                      org.openrdf.rio.RDFParseException

  Second reference test for http://schema.org/.

  Throws:
    `org.openrdf.rio.RDFHandlerException`
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.openrdf.rio.RDFParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.